from liste import Liste

class Zahl:
    def __init__(self, zahlNeu)
        """
        Konstruktor der Zahl
        """
        self.zahl = zahlNeu
        
    def InformationAusgeben():
        """
        Gibt Information über die Zahl aus.
        """
        print(self.zahl)

    
    def SchlüsselIstGleich(self, gesuchterWert):
        """
        Gibt zurück, ob die zahl gleich dem übergebenen Wert ist.
        :param gesuchterWert: gesuchter Wert
        :return: Wahrheitswert, der angibt, ob die Zahl die gesuchte ist.
        """
        return self.zahl == gesuchterWert

   def IstKleinerAls(self, zVergleich):
        """
        Vergleich zweier Zahlen bezüglich einer Ordnungsrelation
        :param zVergleich: Zahl zum Vergleich
        :return: wahr, wenn die eigene Zahl kleiner ist als die übergebene
        """
        return zahl < zVergleich.zahl
    
class Lotto:
    """
    Klasse zur Verwaltung der Lottozahlen
    """
    def __init__(self):
        """
        Konstruktor der Klasse Lotto
        erzeugt eine leere Liste
        """
        self.l = Liste()

    def Einfügen(self, i):
        """
        Einfügen einer neuen Zahl
        :param i: einzufügende int-Zahl
        """
        self.l.SortiertEinfuegen(i)

    def Ausgeben(self):
        """
        Ausgabe aller Zahlen über die Konsole
        """
        self.l.InformationAusgeben()
        
l = Lotto()
l.Einfuegen(Zahl(8))
l.Einfuegen(Zahl(39))
l.Einfuegen(Zahl(7))
l.Einfuegen(Zahl(18))
l.Einfuegen(Zahl(22))
l.Einfuegen(Zahl(4))
l.Ausgeben()
